CMSIS-DSP: arm_cfft_radix2_q31.c File Reference

| CMSIS-DSP Version 1.10.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
arm_cfft_radix2_q31.c File Reference

## Functions

void | arm_radix2_butterfly_q31 (q31_t *pSrc, uint32_t fftLen, const q31_t *pCoef, uint16_t twidCoefModifier)
void | arm_radix2_butterfly_inverse_q31 (q31_t *pSrc, uint32_t fftLen, const q31_t *pCoef, uint16_t twidCoefModifier)
void | arm_bitreversal_q31 (q31_t *pSrc, uint32_t fftLen, uint16_t bitRevFactor, const uint16_t *pBitRevTab)
| In-place Q31 bit reversal function. More...
void | arm_cfft_radix2_q31 (const arm_cfft_radix2_instance_q31 *S, q31_t *pSrc)
| Processing function for the fixed-point CFFT/CIFFT. More...

## Function Documentation

void arm_bitreversal_q31 | ( | q31_t * | pSrc,
|  | uint32_t | fftLen,
|  | uint16_t | bitRevFactor,
|  | const uint16_t * | pBitRevTab
| ) |  |

Parameters

  [in,out] | pSrc | points to in-place Q31 data buffer.
  [in] | fftLen | length of FFT.
  [in] | bitRevFactor | bit reversal modifier that supports different size FFTs with the same bit reversal table
  [in] | pBitRevTab | points to bit reversal table

Returns
  none

void arm_radix2_butterfly_inverse_q31 | ( | q31_t * | pSrc,
|  | uint32_t | fftLen,
|  | const q31_t * | pCoef,
|  | uint16_t | twidCoefModifier
| ) |  |

void arm_radix2_butterfly_q31 | ( | q31_t * | pSrc,
|  | uint32_t | fftLen,
|  | const q31_t * | pCoef,
|  | uint16_t | twidCoefModifier
| ) |  |

end of ComplexFFT group